package com.taauav.admin.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * <p>报告录入DTO</p>
 *
 * @author : dyg
 * @date : 2019-11-30 10:39
 **/
@Data
public class TauvReportInputDTO extends BaseReportDTO {
    private String originalVideoUrl;
    private String videoUrl;
    private String imageUrl;
    private String reportUrl;
    private Integer status;
    private Integer inputUser;
    private String formatInputUser;
    private Integer num;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inputTime;
    private String formatInputTime;
}
