package com.taauav.front.service;

import com.taauav.admin.entity.TauvReport;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;
import com.taauav.front.query.LSReportQuery;

/**
 * <p>
 * 巡检报告表 服务类
 * </p>
 *
 * @author dyg
 * @since 2020-04-10
 */
public interface ILSReportService extends IBaseService<TauvReport> {

    /**
     * 获取报告列表
     *
     * @param query 查询条件
     * @return
     */
    Response getList(LSReportQuery query);

    /**
     * 获取报告详情
     *
     * @param id 报告ID
     * @return
     */
    Response detail(Integer id);

}
