package com.taauav.admin.query;

import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;

/**
 * 河道查询条件
 */
@Data
public class TauvDriverQuery extends BaseQuery {

    /**
     * 河道名称
     */
    private String name;

    /**
     * 河道类型
     */
    private Integer type;

    /**
     * 河道层级：3县区 4镇 5村
     */
    private Integer level;

}
