package com.taauav.common.constant;

/**
 * 权限通用常量
 * 
 * @author dyg
 */
public class PermissionConstants
{
    /** 查询权限 */
    public static final String LIST_PERMISSION = "index";

    /** 新增权限 */
    public static final String ADD_PERMISSION = "add";

    /** 修改权限 */
    public static final String EDIT_PERMISSION = "edit";

    /** 删除权限 */
    public static final String REMOVE_PERMISSION = "drop";

    /** 导入权限 */
    public static final String IMPORT_PERMISSION = "import";
    
    /** 导出权限 */
    public static final String EXPORT_PERMISSION = "export";

    /** 显示权限 */
    public static final String VIEW_PERMISSION = "view";

    /** 修改状态权限 */
    public static final String STATUS_PERMISSION = "status";

    /** 重置密码权限 */
    public static final String PASSWORD_PERMISSION = "password";

    /** 上传权限 */
    public static final String UPLOAD_PERMISSION = "upload";

    /** 下载权限 */
    public static final String DOWNLOAD_PERMISSION = "download";
}
